# ROS-Kubernetes

Contains scrips and files to create a fielded ros kubernetes cluster.

## Image building

Go into the `docker` directory for Dockerfiles and bash scripts, each type of image has it's own directory. The master image is required to be on the cluster before others will start.

Building the master image is relatively straight forward:

`docker build -t <tag_name> -f Dockerfile .`

Which should load the image into your local docker registry (or whatever registry you're using). To build the remote images, designed to be run on Nivida Jetsons mounted on a UAV, the build command is slightly more complex due to the different architectures:

`docker buildx build --platform linux/arm64 -o type=oci,dest=<image_name>.tar -t <tag_name> .`

Then the tarball can be loaded into the docker registry, on the control plane node or (more likely) the ARM processor:

`<ssh to processor and send image> docker load < <image_name>.tar`

Verify the image is in fact the correct architecture:

`docker image inspect <tag_name>`
